[arch-commits] Commit in (4 files)

Felix Yan felixonmars at archlinux.org
Wed Dec 14 08:50:42 UTC 2016


    Date: Wednesday, December 14, 2016 @ 08:50:41
  Author: felixonmars
Revision: 199324

addpkg: python-karellen-pyb-plugin 0.0.1.20160930-1

Added:
  python-karellen-pyb-plugin/
  python-karellen-pyb-plugin/repos/
  python-karellen-pyb-plugin/trunk/
  python-karellen-pyb-plugin/trunk/PKGBUILD

----------+
 PKGBUILD |   32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

Added: python-karellen-pyb-plugin/trunk/PKGBUILD
===================================================================
--- python-karellen-pyb-plugin/trunk/PKGBUILD	                        (rev 0)
+++ python-karellen-pyb-plugin/trunk/PKGBUILD	2016-12-14 08:50:41 UTC (rev 199324)
@@ -0,0 +1,32 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-karellen-pyb-plugin
+pkgver=0.0.1.20160930
+_commit=41d012b2f093a31596610cf14d0e1da56402e45c
+pkgrel=1
+pkgdesc='Karellen PyBuilder Plugin'
+arch=('any')
+url='https://github.com/karellen/karellen-pyb-plugin'
+license=('Apache')
+depends=('python-pybuilder')
+makedepends=('git' 'python-cram' 'flake8' 'python-sphinx' 'python-unittest-xml-reporting')
+# checkdepends=('python-pyfix')
+source=("git+https://github.com/karellen/karellen-pyb-plugin.git#commit=$_commit")
+md5sums=('SKIP')
+
+prepare() {
+  sed -i '/use_plugin("pypi:pybuilder_header_plugin")/d' karellen-pyb-plugin/src/main/python/karellen_pyb_plugin/__init__.py
+}
+
+check() {
+  cd karellen-pyb-plugin
+  pyb -v analyze || warning "ignoring flake8 warnings"
+}
+
+package() {
+  cd karellen-pyb-plugin
+  pyb -v -o package
+  cd target/dist/karellen-pyb-plugin-*
+  python setup.py install --root="$pkgdir" -O1
+}


Property changes on: python-karellen-pyb-plugin/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
## -0,0 +1 ##
+Id
\ No newline at end of property



More information about the arch-commits mailing list